
      subroutine pltce(f,toplab)
      include 'tigcmdif.h'
      dimension f(imx,jmx),vp(4)
      data vp /.14,.92,.32,.82/, dgrid/30./
      character*(*) toplab
c
      xmid = 0.5*(vp(1)+vp(2))
      call cpseti('SET',0)
      call cpseti('MAP',1)
      call cpsetr('XC1',gcmlon(1))
      call cpsetr('XCM',gcmlon(imx))
      call cpsetr('YC1',gcmlat(1))
      call cpsetr('YCN',gcmlat(jmx))
      call cpsetr('ILX',xmid)
      call cpsetr('ILY',-.50)
      call cpsetr('ILS',.015)
      call cpseti('ILP',0)
      call mapstr('GR',dgrid)
c
      call mkproj('CE',vp,0.,0.,0.,dum,dum)
      call maplot
      call mapgrd
      call contour(f,imx,imx,jmx,0.,1.,0.)
      call labrect(gcmlon,imx,gcmlat,jmx,'LONGITUDE',
     +  'LATITUDE',.04)
      call wrlab(toplab(1:lenstr(toplab)),xmid,vp(4)+.11,0.)
      call frame
      iframe = iframe+1
      write(6,"('pltce frame ',i3,': ',a)") iframe,toplab
      return
      end
